
%define rel 1
%define konsoleprivate_major 16
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

Name: konsole
Summary: A terminal emulator similar to xterm for KDE
Version: 16.04.2
Release: %mkrel %{rel}

Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://konsole.kde.org/
Requires: x11-font-misc-misc
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz
Patch0: konsole-end-session.patch
#------------------------------------------------------
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kbookmarks-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kinit-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kparts-devel
BuildRequires:  kpty-devel
BuildRequires:  kservice-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


%description
A terminal emulator, similar to xterm, for KDE.

%files
%_kf5_bindir/konsole
%_kf5_bindir/konsoleprofile
%_kf5_libdir/libkdeinit5_konsole.so
%_kf5_datadir/konsole
%_qt5_plugindir/konsolepart.so
%_kf5_datadir/appdata/org.kde.konsole.appdata.xml
%_kf5_datadir/applications/org.kde.konsole.desktop
%_kf5_knotificationsdir/konsole.notifyrc
%_kf5_services/ServiceMenus/*.desktop
%_kf5_services/konsolepart.desktop
%_kf5_servicetypes/terminalemulator.desktop
%_kf5_datadir/kxmlgui5/konsole
#--------------------------------------------------------------------
%_kf5_libdir/libkonsoleprivate.so.%{konsoleprivate_major}*
#--------------------------------------------------------------------

%package doc
Summary: Konsole Documentation
Requires:  konsole >= %{version}-%{release}
BuildArch: noarch
Group: Documentation

%description doc
This package provides Konsole documentation.

%files doc
%docdir %_kf5_docdir/
%_kf5_docdir/%{name}/manual
%_kf5_docdir/%{name}/developer
%_kf5_docdir/%{name}/user
%_kf5_docdir/HTML/en/konsole

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
mkdir -p %{buildroot}/%_kf5_docdir/%{name}
mv doc/* %{buildroot}/%_kf5_docdir/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update


